package com.ag.entity.fee;


import com.ag.base.ISerializable;

import java.util.Date;

public class AccountPoints implements ISerializable {

  private String id;
  private String tenancyId;
  private String pointCode;
  private String pointName;
  private String categoryId;
  private String customerId;
  private String itemId;
  private String createdBy;
  private Date createdOn;
  private String updatedBy;
  private Date updatedOn;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getTenancyId() {
    return tenancyId;
  }

  public void setTenancyId(String tenancyId) {
    this.tenancyId = tenancyId;
  }

  public String getPointCode() {
    return pointCode;
  }

  public void setPointCode(String pointCode) {
    this.pointCode = pointCode;
  }

  public String getPointName() {
    return pointName;
  }

  public void setPointName(String pointName) {
    this.pointName = pointName;
  }

  public String getCategoryId() {
    return categoryId;
  }

  public void setCategoryId(String categoryId) {
    this.categoryId = categoryId;
  }

  public String getCustomerId() {
    return customerId;
  }

  public void setCustomerId(String customerId) {
    this.customerId = customerId;
  }

  public String getItemId() {
    return itemId;
  }

  public void setItemId(String itemId) {
    this.itemId = itemId;
  }

  public String getCreatedBy() {
    return createdBy;
  }

  @Override
  public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
  }

  public Date getCreatedOn() {
    return createdOn;
  }

  @Override
  public void setCreatedOn(Date createdOn) {
    this.createdOn = createdOn;
  }

  public String getUpdatedBy() {
    return updatedBy;
  }

  @Override
  public void setUpdatedBy(String updatedBy) {
    this.updatedBy = updatedBy;
  }

  public Date getUpdatedOn() {
    return updatedOn;
  }

  @Override
  public void setUpdatedOn(Date updatedOn) {
    this.updatedOn = updatedOn;
  }
}
